### Method

# Gtk Editable set_input_interceptor

unstable since: 4.24

#### Declaration [src]

    void
    gtk_editable_set_input_interceptor (
      GtkEditable* editable,
      GtkWidget* interceptor
    )

#### Description [src]

Sets `interceptor` as the widget that `editable` will intercept key events from.

A typical usecase for this is implementing auto-showing search entries, so that textual input may be intercepted from another widget and handled first hand by the given editable. The events will be handled in the bubble phase of `interceptor`, which means that editable child widgets of `interceptor` will receive the text input before it can be captured.

Only those events that would be handled by an input method will be handled, this excludes combinations of Ctrl/Alt/Mod, and other shortcuts.

Available since: 4.24

Sets property | `Gtk.Editable:input-interceptor`

#### Parameters

`interceptor`

  Type: `GtkWidget`

  The input interceptor widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.